(***********************************************************************)
(*                                                                     *)
(*                           FaCiLe                                    *)
(*                 A Functional Constraint Library                     *)
(*                                                                     *)
(*            Nicolas Barnier, Pascal Brisset, LOG, CENA               *)
(*                                                                     *)
(* Copyright 2001 CENA. All rights reserved. This file is distributed  *)
(* under the terms of the GNU Lesser General Public License.           *)
(***********************************************************************)
(* $Id: fcl_interval.mli,v 1.10 2001/06/19 13:13:54 barnier Exp $ *)

(* Module [Interval]: Variable Membership of an Interval *)

val is_member : Fcl_var.Fd.t -> int -> int -> Fcl_var.Fd.t
  (* [is_member v inf sup] returns the boolean variable instantiated to [1]
     if [v] is in [inf..sup] and to [0] otherwise. *)
val cstr : Fcl_var.Fd.t -> int -> int -> Fcl_var.Fd.t -> Fcl_cstr.t
  (* [cstr v inf sup b] returns the constraint ensuring that the boolean
     variable [b] is instantiated to [1] if [v] is in [inf..sup] and to
     [0] otherwise.
     Not reifiable. *)

